function out = rsos(datain, whichdim)
%*************************************************************************
% function calculates the sum of squares along dimension whichdim
%
%
% INPUT:
%   datain          data with arbitrary array size
%   whichdim        sum of squares is taken along this dimension
%
% OUTPUT:
%   out
%
% OPTIONS:     
%   none
%
% EXAMPLE:
%---------
%*************************************************************************

    out = sqrt(sum(abs(datain).^2,whichdim));
end